<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCredentialPolicyReq StructType
 * @subpackage Structs
 */
class AddCredentialPolicyReq extends APIRequest
{
    /**
     * The credentialPolicy
     * @var XCredentialPolicy
     */
    public $credentialPolicy;
    /**
     * Constructor method for AddCredentialPolicyReq
     * @uses AddCredentialPolicyReq::setCredentialPolicy()
     * @param XCredentialPolicy $credentialPolicy
     */
    public function __construct(XCredentialPolicy $credentialPolicy = null)
    {
        $this
            ->setCredentialPolicy($credentialPolicy);
    }
    /**
     * Get credentialPolicy value
     * @return XCredentialPolicy|null
     */
    public function getCredentialPolicy()
    {
        return $this->credentialPolicy;
    }
    /**
     * Set credentialPolicy value
     * @param XCredentialPolicy $credentialPolicy
     * @return AddCredentialPolicyReq
     */
    public function setCredentialPolicy(XCredentialPolicy $credentialPolicy = null)
    {
        $this->credentialPolicy = $credentialPolicy;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCredentialPolicyReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
